Bug 328280 - Difficulty entering new transaction with newly created security
Summary: Difficulty entering new transaction with newly created security
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: Mint (Ubuntu based) Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-01 13:37 UTC by allan
Modified: 2013-12-22 11:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description allan 2013-12-01 13:37:28 UTC
If a new transaction is opened, and all required fields are entered apart from Security, and then a new security name is added, the wizard to add a new security appears.  When that is completed, the new security name is showing, but the Enter button has not been enabled.  Opening the drop-down and selecting the new security still does not enable Enter.

Either a different security needs now to be selected and then the required new one , or alternatively clearing the name and then selecting it again works.


Reproducible: Always

Steps to Reproduce:
1. Open a new security.
2. Select all required fields except Security.
3. For the Security, enter the name of a non-existent security.
4. Complete the wizard.
5. Attempt to enter the transaction.
Actual Results:  
The transaction cannot be entered because the button has not been enabled.  Either a different security needs now to be selected and then the required new one, or alternatively clearing the name and then selecting it again works.


Expected Results:  
It should not be necessary to remove and then re-enter the security name.
Comment 1 allan 2013-12-01 18:18:51 UTC
In void InvestTransactionEditor::createEditWidgets(void) I've added -
"connect(security, SIGNAL(completion(QString)), this, SLOT(slotUpdateSecurity(QString)))" and in the existing function void InvestTransactionEditor::slotUpdateSecurity(const QString& stockId) , I've added a call to slotUpdateButtonState() at the end.
This now produces the expected behaviour.
Assuming no objections, I intend to commit this in a week or so.
Comment 2 allan 2013-12-22 11:27:51 UTC
Git commit d15b5f2d36b72494faa02b37d25984cf7c425e8a by Allan Anderson.
Committed on 22/12/2013 at 11:18.
Pushed by allananderson into branch 'master'.

M  +1    -0    kmymoney/dialogs/investtransactioneditor.cpp

http://commits.kde.org/kmymoney/d15b5f2d36b72494faa02b37d25984cf7c425e8a